<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use App\Models\User;

class EncryptPasswordsSeeder extends Seeder
{
    public function run()
    {
        // Encuentra usuarios con contraseñas no cifradas
        $users = User::whereRaw('CHAR_LENGTH(password) < 60')->get();

        foreach ($users as $user) {
            $user->password = Hash::make($user->password); // Cifra la contraseña
            $user->save();
        }
    }
}