<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Somos Iglesia</title>
    <script src="https://unpkg.com/@tailwindcss/browser@4"></script>
    <link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <script src="https://unpkg.com/ionicons@4.5.10-0/dist/ionicons.js" defer></script>
    <script defer>
        const menuBtn = document.getElementById('menu-btn');
        const mobileMenu = document.getElementById('mobile-menu');
    
        menuBtn.addEventListener('click', () => {
            mobileMenu.classList.toggle('hidden');
        });
    </script>
</head>

<body class="font-[Poppins] bg-gradient-to-t from-[#D9E7DD] to-[#E6DAC3] h-screen">
    <header class="bg-white">
        
        <nav class="bg-white shadow-lg fixed w-full">
            <div class="container mx-auto px-4">
                <div class="flex justify-between items-center py-4">
        
                    <a href="#" class="text-white text-2xl font-bold flex items-center">
                        <img src="{{ asset('img/LogoIglesia.png') }}" alt="Logo" class="w-16">
                        
                    </a>
        
                    <div class="hidden md:flex space-x-6">
                        <a href="{{route('home')}}" class="text-black hover:text-blue-300 transition duration-300">Home</a>
                        <a href="" class="text-black hover:text-blue-300 transition duration-300">Nosotros</a>
                        <a href="" class="text-black hover:text-blue-300 transition duration-300">Contáctanos</a>
                        <button class="bg-[#a6c1ee] text-white px-5 py-2 rounded-full hover:bg-[#87acec]"><a href="{{route('admin.login')}}">Login</a></button>
                    </div>
        
                    <div class="md:hidden flex items-center">
                        <button id="menu-btn" class="text-white focus:outline-none">
                            
                            <svg class="w-6 h-6 bg-black rounded-sm mr-2" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"></path>
                            </svg>
                        </button>
                        <div class="">
                            <button class="bg-[#a6c1ee] text-white px-5 py-2 rounded-full hover:bg-[#87acec]" ><a href="{{route('admin.login')}}">Login</a></button>
                        </div>
                    </div>
                </div>
            </div>
        
            
          
            <div id="mobile-menu" class="hidden md:hidden text-lg">
                <a href="{{route('home')}}" class="block text-black hover:text-blue-300 transition duration-300">Home</a>
                <a href="" class="block text-black hover:text-blue-300 transition duration-300">Nosotros</a>
                <a href="" class="block text-black">Contáctanos</a>
               
            </div>
          
       
        </nav>
        
        
        
     
        {{-- <nav class="flex justify-between items-center w-[92%] mx-auto">
          <div class="">
            <img class="w-16" src="{{asset('img/LogoIglesia.png')}}" alt="...">
          </div>
           <div class="nav-Links duration-500 md:static absolute bg-white md:min-h-fit min-h-[60vh] left-0 top-[-100%] md:w-auto w-full flex items-center px-5">
            <ul class="flex md:flex-row flex-col md:items-center md:gap-[4vw] gap-8">
                <li ><a class="hover: text-gray-500" href="#">Inicio</a></li>
                <li><a class="hover: text-gray-500" href="#">Nosotros</a></li>
                <li><a class="hover: text-gray-500" href="#">Contacto</a></li>
            </ul>
           </div>
           <div class="flex items-center gap-6">
            <button class="bg-[#a6c1ee] text-white px-5 py-2 rounded-full hover:bg-[#87acec]">Login</button>
            <ion-icon name="menu" onclick="onToggleMenu(this)" class="text-3xl cursor-pointer md:hidden"></ion-icon>
        </div>
        </nav> --}}

    </header>

    <section>

    </section>
    <footer>

    </footer>

    {{-- <script>
        const navLinks = document.querySelector('.nav-Links')
        function onToggleMenu(e){
            e.name= e.name === 'menu' ? 'close' : 'menu'
            navLinks.classList.toggle('top-[9%]')
        }

    </script> --}}
</body>
</html>