<?php

use App\Http\Controllers\AdminController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;



Route::view('/', 'home')->name('home');


// Ruta para el formulario de login
Route::get('/admin/login', [AdminController::class, 'showLoginForm'])->name('admin.login');

// Ruta para procesar el login
Route::post('/admin/login', [AdminController::class, 'login'])->name('admin.login.post');

// Ruta para el dashboard
Route::get('/admin/dashboard', [AdminController::class, 'dashboard'])->name('admin.dashboard');

// Ruta para mostrar el formulario de registro
Route::get('/admin/register', [AdminController::class, 'showRegisterForm'])->name('admin.register');

// Ruta para procesar el registro
Route::post('/admin/register', [AdminController::class, 'register'])->name('admin.register.post');

// Ruta para cerrar sesión
Route::get('/admin/logout', [AdminController::class, 'logout'])->name('admin.logout');





